/* Ofront+ 0.9 -sm */
#include "SYSTEM.h"
#include "Rsrc.h"
#include "Strings.h"
#include "Console.h"


static INTEGER Project_n, Project_len;
static SHORTINT Project_byte, Project_color;
static INTEGER Project_msg1, Project_msg2, Project__for__2, Project__for__1;


static void Project_NextColor (void);
static void Project_ShowMsg (INTEGER msg);


/*============================================================================*/

static void Project_NextColor (void)
{
	switch (Project_color) {
		case 2: 
			Project_color = 70;
			break;
		case 70: 
			Project_color = 5;
			break;
		case 5: 
			Project_color = 3;
			break;
		case 3: 
			Project_color = 4;
			break;
		case 4: 
			Project_color = 2;
			break;
		default: 
			break;
	}
	Console_SetColors(Project_color);
}

static void Project_ShowMsg (INTEGER msg)
{
	INTEGER id;
	id = Rsrc_Open(msg);
	Project_byte = Rsrc_ReadByte(id);
	while (Project_byte != 0) {
		Project_NextColor();
		Console_WriteCh((CHAR)Project_byte);
		Project_byte = Rsrc_ReadByte(id);
	}
	Rsrc_Close(msg);
}


int main(int argc, char **argv)
{
	__INIT(argc, argv);
	__IMPORT(Rsrc__init);
	__IMPORT(Strings__init);
	__IMPORT(Console__init);
	__REGMAIN("Project", 0);
/* BEGIN */
	Console_Clear(0);
	Project_color = 4;
	Project_len = Strings_Length(Rsrc_Str1, 1024);
	Project__for__2 = Project_len - 1;
	Project_n = 0;
	while (Project_n <= Project__for__2) {
		Console_WriteCh(Rsrc_Str1[__X(Project_n, 1024)]);
		Project_NextColor();
		Project_n += 1;
	}
	Console_WriteLn();
	Project_len = Strings_Length(Rsrc_Str2, 1024);
	Project__for__1 = Project_len - 1;
	Project_n = 0;
	while (Project_n <= Project__for__1) {
		Console_WriteCh(Rsrc_Str2[__X(Project_n, 1024)]);
		Project_NextColor();
		Project_n += 1;
	}
	Console_WriteLn();
	Console_WriteLn();
	Project_ShowMsg(Rsrc_Msg1);
	Console_WriteLn();
	Project_ShowMsg(Rsrc_Msg2);
	__FINI;
}
